Page MenuHomeFreeBSD

cam/ata: Postpone removal of two compat sysctl until 15
ClosedPublic

Authored by zlei on Oct 30 2023, 8:43 AM.
Tags
None
Referenced Files
Unknown Object (File)
Feb 21 2024, 7:11 AM
Unknown Object (File)
Jan 10 2024, 7:31 PM
Unknown Object (File)
Dec 23 2023, 2:23 AM
Unknown Object (File)
Dec 20 2023, 4:24 PM
Unknown Object (File)
Dec 14 2023, 7:28 PM
Unknown Object (File)
Nov 3 2023, 1:13 AM
Unknown Object (File)
Nov 2 2023, 5:18 AM

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

zlei requested review of this revision.Oct 30 2023, 8:43 AM
This revision is now accepted and ready to land.Oct 30 2023, 3:11 PM
ken requested changes to this revision.Oct 30 2023, 3:25 PM
ken added a subscriber: ken.

This makes it sound like unmapped I/O and rotating media support will be removed in FreeBSD 15.

From the context, I think you just mean that the separate sysctl variables to control those settings will be removed, not the underlying support. Is that correct?

If so, maybe we could change the description to something like "Unmapped I/O sysctl var is *DEPRECATED*, gone in FreeBSD 15"

If not, and you really mean that unmapped I/O and rotating media are getting removed, then I probably missed the discussion and I'd like to know why.

This revision now requires changes to proceed.Oct 30 2023, 3:25 PM
In D42402#967566, @ken wrote:

This makes it sound like unmapped I/O and rotating media support will be removed in FreeBSD 15.

From the context, I think you just mean that the separate sysctl variables to control those settings will be removed, not the underlying support. Is that correct?

Yes you are right.

The unmapped I/O and rotating media are now flag bits. The sysctl knobs are kept only for compatibility (with old programs).

If so, maybe we could change the description to something like "Unmapped I/O sysctl var is *DEPRECATED*, gone in FreeBSD 15"

Sounds good.

If not, and you really mean that unmapped I/O and rotating media are getting removed, then I probably missed the discussion and I'd like to know why.

It's just the sysctl. The info has moved. But I added it and people have been slow to move... so maybe we don't rush the removal...

Plus these all are read only: there's no control here.

zlei retitled this revision from cam/ata: Postpone removal of unmapped I/O and rotating media until 15 to cam/ata: Postpone removal of two sysctl knobs until 15.
zlei edited the summary of this revision. (Show Details)

Address @ken 's comments.

Within the context, Unmapped I/O sysctl should be clear enough.

Looks good, thank you!

This revision is now accepted and ready to land.Oct 31 2023, 1:24 PM
sys/cam/ata/ata_da.c
1546

"The device is using unmapped I/O. sysctl..."

Might be better with a similar rewording below.

sys/cam/ata/ata_da.c
1546

What about Use unmapped I/O. This sysctl is *DEPRECATED*, gone in FreeBSD 15 ?
That is shorter.

1 means use, 0 otherwise.

1550

Rotating media. This sysctl is *DEPRECATED*, gone in FreeBSD 15 sounds much clear. @imp How about this one ?

zlei retitled this revision from cam/ata: Postpone removal of two sysctl knobs until 15 to cam/ata: Postpone removal of two compat sysctl until 15.Oct 31 2023, 2:47 PM

A friendly ping before committing this.

sys/cam/ata/ata_da.c
1546

"Uses unmapped I/O." sounds better, but otherwise I like the above.

1550

I like it.

Also... with the tweak. This is approved

Is there enough space in the message to help users by giving them a reference to the new interface to express the same configuration and what form of reference would work well for this?

Is there enough space in the message to help users by giving them a reference to the new interface to express the same configuration and what form of reference would work well for this?

Prefer UNMAPPEDIO and ROTATING from flags sysctl

I think the commit message is clear. Maybe I should point to the flags sysctl directly.
This is one from my machine.

# sysctl kern.cam.ada.0.flags
kern.cam.ada.0.flags: 0x1be3bde<CAN_48BIT,CAN_FLUSHCACHE,CAN_NCQ,CAN_DMA,WAS_OTAG,CAN_TRIM,OPEN,SCTX_INIT,CAN_POWERMGT,CAN_DMA48,CAN_LOG,CAN_WCACHE,CAN_RAHEAD,PROBED,ANNOUNCED,DIRTY,PIM_ATA_EXT,UNMAPPEDIO>